Bug 1674682 - bamf: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: bamf: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bamf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:52 UTC by Fedora Release Engineering
Modified: 2019-06-15 01:20 UTC (History)
3 users (show)

Fixed In Version: bamf-0.5.4-1.fc30.1 bamf-0.5.4-1.fc29.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-15 00:43:22 UTC
releng: needinfo? (michel)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:52 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:52 UTC, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2019-02-11 16:52 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:52:19 UTC
bamf failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32367904


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix bamf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bamf will be orphaned. Before branching of Fedora 31,
bamf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:52:21 UTC
Created attachment 1529354 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:52:22 UTC
Created attachment 1529355 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:52:23 UTC
Created attachment 1529356 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:25:00 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Update System 2019-06-03 00:40:50 UTC
FEDORA-2019-8918f8fc3c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8918f8fc3c

Comment 6 Fedora Update System 2019-06-03 00:40:50 UTC
FEDORA-2019-f6a094ca4c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6a094ca4c

Comment 7 Fedora Update System 2019-06-04 01:16:53 UTC
bamf-0.5.4-1.fc30.1 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6a094ca4c

Comment 8 Fedora Update System 2019-06-04 03:27:24 UTC
bamf-0.5.4-1.fc29.1 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8918f8fc3c

Comment 9 Fedora Update System 2019-06-15 00:43:22 UTC
bamf-0.5.4-1.fc30.1 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-06-15 01:20:58 UTC
bamf-0.5.4-1.fc29.1 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.